"use strict";
const ApiConst_1 = require("../../api/ApiConst");
const FileMessage_1 = require("./FileMessage");
/**
 * Created by amin on 9/28/16.
 */
class AudioMessage extends FileMessage_1.FileMessage {
    constructor(messageObjOrFileId, accessHash, name, fileSize, mimeType, captionText, duration) {
        super(messageObjOrFileId, accessHash, name, fileSize, mimeType, captionText);
        if (accessHash) {
            this._duration = duration;
        }
    }
    get duration() {
        return this._duration;
    }
    /**
     *
     * @return {{$type: string, fileId: string, accessHash: string, fileSize: string, name: string, mimeType: string, thumb: {width: any, height: any, thumb: any}[], ext: {$type: string, width: any, height: any}[]}}
     */
    getJsonObject() {
        let obj = super.getJsonObject();
        obj.ext[0] = {
            $type: ApiConst_1.ApiConst.ExtTypes.Audio,
            duration: this._duration
        };
        return obj;
    }
    manipulateFromJsonObject(jsonObject) {
        super.manipulateFromJsonObject(jsonObject);
        let t = jsonObject.ext[0];
        if (t.duration)
            this._duration = t.duration;
    }
}
exports.AudioMessage = AudioMessage;
//# sourceMappingURL=AudioMessage.js.map