"use strict";
const Message_1 = require("./Message");
const ApiConst_1 = require("../../api/ApiConst");
/**
 * Created by amin on 9/14/16.
 * Modified by emran on 9/27/16.
 */
class FileMessage extends Message_1.Message {
    constructor(messageObjOrFileId, accessHash, name, fileSize, mimeType, captionText) {
        super();
        if (accessHash) {
            //fileId
            this._fileId = messageObjOrFileId;
            this._accessHash = accessHash;
            this._name = name;
            this._fileSize = fileSize;
            this._mimeType = mimeType;
            this._captionText = captionText;
        }
        else {
            //messageObj
            this.manipulateFromJsonObject(messageObjOrFileId);
        }
    }
    get fileId() {
        return this._fileId;
    }
    get accessHash() {
        return this._accessHash;
    }
    get name() {
        return this._name;
    }
    get fileSize() {
        return this._fileSize;
    }
    get mimeType() {
        return this._mimeType;
    }
    get fileStorageVersion() {
        return this._fileStorageVersion;
    }
    get captionText() {
        return this._captionText;
    }
    set captionText(value) {
        this._captionText = value;
    }
    /**
     * Sets the file storage version version of the current file message.
     * @param version
     */
    setFileStorageVersion(version) {
        this._fileStorageVersion = version;
    }
    getJsonObject() {
        return {
            $type: ApiConst_1.ApiConst.MessageTypes.Documnet,
            fileId: this._fileId,
            accessHash: this._accessHash,
            fileStorageVersion: !this._fileStorageVersion ? [0] : [this._fileStorageVersion],
            fileSize: this._fileSize.toString(),
            name: this._name,
            mimeType: this._mimeType,
            thumb: [],
            ext: [],
            checkSum: ["checkSum"],
            algorithm: ["algorithm"],
            caption: [{
                    $type: "Text",
                    text: this._captionText
                }]
        };
    }
    manipulateFromJsonObject(jsonObject) {
        if (jsonObject.fileId)
            this._fileId = jsonObject.fileId;
        if (jsonObject.accessHash)
            this._accessHash = jsonObject.accessHash;
        if (jsonObject.name)
            this._name = jsonObject.name;
        if (jsonObject.fileSize)
            this._fileSize = jsonObject.fileSize;
        if (jsonObject.mimeType)
            this._mimeType = jsonObject.mimeType;
        if (jsonObject.fileStorageVersion !== undefined)
            this._fileStorageVersion = jsonObject.fileStorageVersion[0];
        else
            this._fileStorageVersion = 0;
    }
}
exports.FileMessage = FileMessage;
//# sourceMappingURL=FileMessage.js.map