"use strict";
/**
 * Created by amin on 9/28/16.
 */
const FileMessage_1 = require("./FileMessage");
const ApiConst_1 = require("../../api/ApiConst");
class PhotoMessage extends FileMessage_1.FileMessage {
    constructor(messageObjOrFileId, accessHash, name, fileSize, mimeType, captionText, width, height, thumb) {
        super(messageObjOrFileId, accessHash, name, fileSize, mimeType, captionText);
        this._width = 80;
        this._height = 80;
        if (accessHash) {
            this._width = width;
            this._height = height;
            this._thumb = thumb;
        }
    }
    get width() {
        return this._width;
    }
    get height() {
        return this._height;
    }
    get thumb() {
        return this._thumb;
    }
    /*
    get captionText(): string {
        return this._captionText;
    }

    set captionText(value: string) {
        this._captionText = value;
    }*/
    getJsonObject() {
        let obj = super.getJsonObject();
        obj.thumb[0] = {
            width: this._width,
            height: this._height,
            thumb: this._thumb
        };
        obj.ext[0] = {
            $type: ApiConst_1.ApiConst.ExtTypes.Photo,
            width: this._width,
            height: this._height,
        };
        return obj;
    }
    manipulateFromJsonObject(jsonObject) {
        super.manipulateFromJsonObject(jsonObject);
        let t = jsonObject.thumb[0];
        if (t.width)
            this._width = t.width;
        if (t.height)
            this._height = t.height;
        if (t.thumb)
            this._thumb = t.thumb;
    }
}
exports.PhotoMessage = PhotoMessage;
//# sourceMappingURL=PhotoMessage.js.map