"use strict";
const FileMessage_1 = require("./FileMessage");
const ApiConst_1 = require("../../api/ApiConst");
/**
 * Created by amin on 9/28/16.
 */
class VideoMessage extends FileMessage_1.FileMessage {
    constructor(messageObj) {
        super(messageObj);
        this._width = 80;
        this._height = 80;
    }
    get width() {
        return this._width;
    }
    get height() {
        return this._height;
    }
    get thumb() {
        return this._thumb;
    }
    getJsonObject() {
        let obj = super.getJsonObject();
        obj.thumb[0] = {
            width: this._width,
            height: this._height,
            thumb: this._thumb
        };
        obj.ext[0] = {
            $type: ApiConst_1.ApiConst.ExtTypes.Video,
            width: this._width,
            height: this._height,
        };
        return obj;
    }
    manipulateFromJsonObject(jsonObject) {
        super.manipulateFromJsonObject(jsonObject);
        let t = jsonObject.thumb[0];
        if (t.width)
            this._width = t.width;
        if (t.height)
            this._height = t.height;
        if (t.thumb)
            this._thumb = t.thumb;
    }
}
exports.VideoMessage = VideoMessage;
//# sourceMappingURL=VideoMessage.js.map