"use strict";
const Element_1 = require("./Element");
/**
 * Created by emran on 10/18/16.
 */
class ButtonElement extends Element_1.Element {
    constructor(text, value) {
        super(ButtonElement.TYPE);
        this._text = text;
        this._value = value;
    }
    static get TYPE() {
        return "Button";
    }
    get text() {
        return this._text;
    }
    get value() {
        return this._value;
    }
    getJsonObject() {
        let jsonObj = super.getJsonObject();
        jsonObj.data = {
            text: this._text,
            value: this._value
        };
        return jsonObj;
    }
    manipulateFromJsonObject(jsonObject) {
        super.manipulateFromJsonObject(jsonObject);
        this._text = jsonObject.data.text;
        this._value = jsonObject.data.value;
    }
}
exports.ButtonElement = ButtonElement;
//# sourceMappingURL=ButtonElement.js.map