"use strict";
/**
 * Created by amin on 10/5/16.
 */
class SimpleTemplate {
    /**
     * @param text
     * @param elements {Optional}
     */
    constructor(generalMessage, elements) {
        this._generalMessage = generalMessage;
        if (elements != null)
            this._elements = elements;
        else
            this._elements = [];
    }
    static get TYPE() {
        return "Simple";
    }
    addElement(element) {
        this._elements.push(element);
    }
    get generalMessage() {
        return this._generalMessage;
    }
    get elements() {
        return this._elements;
    }
    /**
     *
     * @return {{$type: string, text: string, elements: any[]}}
     */
    getJsonObject() {
        return {
            $type: SimpleTemplate.TYPE,
            text: this._generalMessage,
            elements: this._elements
        };
    }
    manipulateFromJsonObject(jsonObject) {
        this._generalMessage = jsonObject.generalMessage;
        this._elements = jsonObject.elements;
    }
}
exports.SimpleTemplate = SimpleTemplate;
//# sourceMappingURL=SimpleTemplate.js.map