"use strict";
const Message_1 = require("../Message");
const ApiConst_1 = require("../../../api/ApiConst");
/**
 * This class is representing incoming template message inputs from user. It's not designed to be sent from a bot to a user.
 * Created by emran on 10/18/16.
 */
class TemplateResponseMessage extends Message_1.Message {
    /**
     *
     * @param message Received message json object.
     */
    constructor(message) {
        super();
        this.manipulateFromJsonObject(message);
    }
    get templateId() {
        return this._templateId;
    }
    get input() {
        return this._input;
    }
    getJsonObject() {
        return {
            $type: ApiConst_1.ApiConst.MessageTypes.TemplateResponse,
            templateId: this._templateId,
            input: this._input
        };
    }
    manipulateFromJsonObject(jsonObject) {
        this._templateId = jsonObject.templateId;
        this._input = jsonObject.input;
    }
}
exports.TemplateResponseMessage = TemplateResponseMessage;
//# sourceMappingURL=TemplateResponseMessage.js.map